require 'http_magic'

class PivotalTracker < HttpMagic::Api
  url 'www.pivotaltracker.com'
  namespace 'services/v5'

  # Specifies the PivotalTracker API token that is needed to authenticate a user
  # to access the api.
  #
  # == Example
  #
  #   ExampleApi.api_token = 'token'
  def self.api_token=(value)
    headers({ 'X-TrackerToken' => value })
  end
end
